# Lines configured by zsh-newuser-install
bindkey -e
# End of lines configured by zsh-newuser-install
# The following lines were added by compinstall
zstyle :compinstall filename '/home/madmaurice/.zshrc'
zstyle ':completion:*' menu select

autoload -Uz compinit
compinit

autoload -U colors && colors

PROMPT="%{$fg[red]%}> %{$reset_color%}"
RPROMPT="%{$fg[red]%}%~%{$reset_color%}"

alias ls="ls --color=auto"
alias cd..="cd .."
alias ..="cd .."
alias disks="df -h"
alias space="du -shx"
alias emacs="vim"
alias gitlog="git log --color --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit"
alias sf="screenfetch"

catwhich() {
    cat $(which $@)
}

runfor() {
    while read line; do
        $@ $line
    done
}

mkpasswd() {
    LEN=${1:-30}
    base64 < /dev/urandom | fold -w $LEN | sed 1q
}

mkpasswd2() {
    LEN=${1:-30}
    tr -cd ' -~' < /dev/urandom | fold -w $LEN | sed 1q
}

export EDITOR="vim"

# Load any local only zshrc
[ -f "$HOME/.zshrc.local" ] && source "$HOME/.zshrc.local"

# End of lines added by compinstall
